<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="f1969d1f-81a9-440d-9b91-871b306a75a4" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/testing_1$ArmstrongNumberTest.ic" NAME="ArmstrongNumberTest Coverage Results" MODIFIED="1584353478790" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
    <SUITE FILE_PATH="coverage/testing_1$All_in_testing_1.ic" NAME="All in testing-1 Coverage Results" MODIFIED="1586080183203" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
  <component name="CoverageViewManager">
    <option name="myElementSize" value="171" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1040349488">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.2" value="1" />
          <entry key="project.open.time.31" value="1" />
          <entry key="project.opened" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="121" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="121" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="2350" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="2350" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/IntegerPalindromeTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/LeapYearTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/PrimeNumberTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/RemoveArrayDuplicatesTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/RemoveWhiteSpacesFromStringTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/ReverseArrayinPlaceTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="85">
              <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/SearchTreeTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="238">
              <caret line="17" column="9" lean-forward="true" selection-start-line="17" selection-start-column="9" selection-end-line="17" selection-end-column="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/StringAnagramTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="68">
              <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#710#711#0" expanded="true" />
                <element signature="e#779#780#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/test/java/TeamTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="85">
              <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
              <folding>
                <element signature="e#134#135#0" expanded="true" />
                <element signature="e#214#215#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/StringPalindromeTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
              <folding>
                <element signature="e#155#156#0" expanded="true" />
                <element signature="e#219#220#0" expanded="true" />
                <element signature="e#262#263#0" expanded="true" />
                <element signature="e#328#329#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JUnit5 Test Class" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>'\n'</find>
      <find>size</find>
      <find>get</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/BinarySearch.java" />
        <option value="$PROJECT_DIR$/src/main/java/Factorial.java" />
        <option value="$PROJECT_DIR$/src/test/java/FactorialTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/FibonacciSeriesTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/IntegerPalindrome.java" />
        <option value="$PROJECT_DIR$/src/test/java/RemoveWhiteSpacesFromStringTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/PrimeNumberTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/LeapYearTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/IntegerPalindromeTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/FindSquareRootTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/ReverseaNumberTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/ListArray.java" />
        <option value="$PROJECT_DIR$/src/test/java/ListArrayTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/StringAnagram.java" />
        <option value="$PROJECT_DIR$/src/test/java/StringAnagramTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/ReverseWordsinString.java" />
        <option value="$PROJECT_DIR$/src/test/java/ReverseWordsinStringTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/LinkedList.java" />
        <option value="$PROJECT_DIR$/src/test/java/RemoveArrayDuplicatesTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/StringPalindromeTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/FindGCDTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/Palindrome.java" />
        <option value="$PROJECT_DIR$/src/main/java/Contacts.java" />
        <option value="$PROJECT_DIR$/src/main/java/Main.java" />
        <option value="$PROJECT_DIR$/src/main/java/GroceryList.java" />
        <option value="$PROJECT_DIR$/src/test/java/GroceryListTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/Customer.java" />
        <option value="$PROJECT_DIR$/src/main/java/Main2.java" />
        <option value="$PROJECT_DIR$/src/main/java/Demo.java" />
        <option value="$PROJECT_DIR$/src/main/java/Player.java" />
        <option value="$PROJECT_DIR$/src/main/java/FootballPlayer.java" />
        <option value="$PROJECT_DIR$/src/main/java/BaseBallPlayer.java" />
        <option value="$PROJECT_DIR$/src/main/java/SoccerPlayer.java" />
        <option value="$PROJECT_DIR$/src/main/java/Team.java" />
        <option value="$PROJECT_DIR$/src/main/java/Main3.java" />
        <option value="$PROJECT_DIR$/src/test/java/ListItem.java" />
        <option value="$PROJECT_DIR$/src/test/java/MyLinkedList.java" />
        <option value="$PROJECT_DIR$/src/test/java/MyLinkedListTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/SearchTree.java" />
        <option value="$PROJECT_DIR$/src/main/java/Node.java" />
        <option value="$PROJECT_DIR$/src/test/java/SearchTreeTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/ArmstrongNumberTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/BinarySearchTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/DemoTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/ReverseArrayinPlaceTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/TeamTest.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="686" />
    <option name="width" value="679" />
    <option name="height" value="735" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State />
        </expanded-state>
        <selected-state>
          <State>
            <id>Android</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectView">
    <navigator currentView="Scope" currentSubView="Scope 'Project Files'; set:Project Files; class com.intellij.psi.search.scope.ProjectFilesScope" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope">
        <subPane subId="Scope 'Project Files'; set:Project Files; class com.intellij.psi.search.scope.ProjectFilesScope">
          <expand>
            <path>
              <item name="testing-1" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="testing-1" type="2674bda8:ScopeViewTreeModel$GroupNode" />
            </path>
            <path>
              <item name="testing-1" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="testing-1" type="2674bda8:ScopeViewTreeModel$GroupNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="testing-1" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="testing-1" type="2674bda8:ScopeViewTreeModel$GroupNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="testing-1" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="testing-1" type="2674bda8:ScopeViewTreeModel$GroupNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="main" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="testing-1" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="testing-1" type="2674bda8:ScopeViewTreeModel$GroupNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="test" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
            <path>
              <item name="testing-1" type="3d21c010:ScopeViewTreeModel$ProjectNode" />
              <item name="testing-1" type="2674bda8:ScopeViewTreeModel$GroupNode" />
              <item name="src" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="test" type="9f88c78c:ScopeViewTreeModel$FileNode" />
              <item name="java" type="9f88c78c:ScopeViewTreeModel$FileNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="ProjectPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1586080446427" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit5" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit5" value="" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="configurable.group.build" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.All in testing-1">
    <configuration name="All in testing-1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="testing-1" />
      <option name="PACKAGE_NAME" value="" />
      <option name="TEST_OBJECT" value="package" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SearchTreeTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="testing-1" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SearchTreeTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SearchTreeTest.addItem" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="testing-1" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SearchTreeTest" />
      <option name="METHOD_NAME" value="addItem" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SearchTreeTest.getRoot" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="testing-1" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SearchTreeTest" />
      <option name="METHOD_NAME" value="getRoot" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SearchTreeTest.removeItem" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="testing-1" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="SearchTreeTest" />
      <option name="METHOD_NAME" value="removeItem" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.All in testing-1" />
      <item itemvalue="JUnit.SearchTreeTest.getRoot" />
      <item itemvalue="JUnit.SearchTreeTest" />
      <item itemvalue="JUnit.SearchTreeTest.addItem" />
      <item itemvalue="JUnit.SearchTreeTest.removeItem" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.All in testing-1" />
        <item itemvalue="JUnit.SearchTreeTest.addItem" />
        <item itemvalue="JUnit.SearchTreeTest.removeItem" />
        <item itemvalue="JUnit.SearchTreeTest.getRoot" />
        <item itemvalue="JUnit.SearchTreeTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f1969d1f-81a9-440d-9b91-871b306a75a4" name="Default Changelist" comment="" />
      <created>1584353430449</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1584353430449</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="SearchTreeTest_removeItem - 2020.04.05 at 11h 47m 20s.xml">
      <configuration name="SearchTreeTest.removeItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_removeItem - 2020.04.05 at 11h 47m 31s.xml">
      <configuration name="SearchTreeTest.removeItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_removeItem - 2020.04.05 at 11h 47m 39s.xml">
      <configuration name="SearchTreeTest.removeItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_removeItem - 2020.04.05 at 11h 47m 51s.xml">
      <configuration name="SearchTreeTest.removeItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_removeItem - 2020.04.05 at 11h 48m 09s.xml">
      <configuration name="SearchTreeTest.removeItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_removeItem - 2020.04.05 at 11h 48m 27s.xml">
      <configuration name="SearchTreeTest.removeItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="All_in_testing-1 - 2020.04.05 at 11h 48m 43s.xml">
      <configuration name="All in testing-1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_addItem - 2020.04.05 at 11h 49m 06s.xml">
      <configuration name="SearchTreeTest.addItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SearchTreeTest_addItem - 2020.04.05 at 11h 49m 18s.xml">
      <configuration name="SearchTreeTest.addItem" configurationId="JUnit" />
    </history-entry>
    <history-entry file="All_in_testing-1 - 2020.04.05 at 11h 49m 48s.xml">
      <configuration name="All in testing-1" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.27231467" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.3327869" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.3295082" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Maven Projects" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Coverage" order="8" side_tool="true" weight="0.32980332" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/IntegerPalindrome.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1015">
          <caret line="19" column="27" lean-forward="true" selection-start-line="19" selection-start-column="27" selection-end-line="19" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/LeapYear.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-267">
          <caret line="7" column="16" lean-forward="true" selection-start-line="7" selection-start-column="16" selection-end-line="7" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/LinkedList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1222">
          <caret line="192" column="51" selection-start-line="192" selection-start-column="51" selection-end-line="192" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ListArray.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-338">
          <caret line="183" selection-start-line="183" selection-end-line="183" />
          <folding>
            <element signature="e#259#260#0" expanded="true" />
            <element signature="e#317#318#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/PrimeNumber.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-219">
          <caret line="12" column="23" selection-start-line="12" selection-start-column="23" selection-end-line="12" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/PrintingPatterns.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="53">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/RemoveArrayDuplicates.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-202">
          <caret line="13" column="24" selection-start-line="13" selection-start-column="24" selection-end-line="13" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/RemoveWhiteSpacesFromString.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="25" selection-start-column="25" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ReverseaNumber.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-321">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ReverseArrayinPlace.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-151">
          <caret line="17" column="27" selection-start-line="17" selection-start-column="27" selection-end-line="17" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ReverseAString.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="13" selection-start-column="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ReverseWordsinString.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-168">
          <caret line="6" column="25" lean-forward="true" selection-start-line="6" selection-start-column="25" selection-end-line="6" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/StringAnagram.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-539">
          <caret line="13" column="18" selection-start-line="13" selection-start-column="18" selection-end-line="13" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/StringPalindrome.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="7" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Palindrome.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="697">
          <caret line="41" column="1" selection-start-line="41" selection-start-column="1" selection-end-line="41" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Contacts.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="325">
          <caret line="81" column="1" selection-start-line="81" selection-start-column="1" selection-end-line="81" selection-end-column="1" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#947#948#0" expanded="true" />
            <element signature="e#990#991#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="24" selection-start-line="7" selection-start-column="24" selection-end-line="7" selection-end-column="24" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#2881#2889#0" expanded="true" />
            <element signature="e#3000#3008#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/GroceryList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="18" selection-start-line="6" selection-start-column="18" selection-end-line="6" selection-end-column="18" />
          <folding>
            <element signature="e#178#186#0" expanded="true" />
            <element signature="e#323#324#0" expanded="true" />
            <element signature="e#357#358#0" expanded="true" />
            <element signature="e#1263#1264#0" expanded="true" />
            <element signature="e#1307#1308#0" expanded="true" />
            <element signature="e#1354#1355#0" expanded="true" />
            <element signature="e#1408#1409#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Customer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-136">
          <caret line="1" column="3" lean-forward="true" selection-start-line="1" selection-start-column="3" selection-end-line="1" selection-end-column="3" />
          <folding>
            <element signature="e#287#288#0" expanded="true" />
            <element signature="e#314#315#0" expanded="true" />
            <element signature="e#354#355#0" expanded="true" />
            <element signature="e#386#387#0" expanded="true" />
            <element signature="e#420#421#0" expanded="true" />
            <element signature="e#450#451#0" expanded="true" />
            <element signature="e#496#497#0" expanded="true" />
            <element signature="e#534#535#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-10.0.2/lib/src.zip!/java.base/java/lang/String.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="123" column="19" selection-start-line="123" selection-start-column="19" selection-end-line="123" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Demo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-357">
          <caret line="9" column="14" selection-start-line="9" selection-start-column="14" selection-end-line="9" selection-end-column="14" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#301#309#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/FootballPlayer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret lean-forward="true" />
          <folding>
            <element signature="e#184#185#0" expanded="true" />
            <element signature="e#211#212#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/BaseBallPlayer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="25" selection-start-line="4" selection-start-column="25" selection-end-line="4" selection-end-column="25" />
          <folding>
            <element signature="e#126#127#0" expanded="true" />
            <element signature="e#153#154#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/SoccerPlayer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret lean-forward="true" />
          <folding>
            <element signature="e#148#149#0" expanded="true" />
            <element signature="e#175#176#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Main2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-185">
          <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="5" />
          <folding>
            <element signature="e#448#457#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Player.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
          <folding>
            <element signature="e#155#156#0" expanded="true" />
            <element signature="e#187#188#0" expanded="true" />
            <element signature="e#218#219#0" expanded="true" />
            <element signature="e#245#246#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Main3.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="206">
          <caret line="49" column="10" selection-start-line="49" selection-start-column="10" selection-end-line="49" selection-end-column="10" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Team.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-797">
          <caret line="6" column="15" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/MyLinkedListTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="15" column="45" lean-forward="true" selection-start-line="15" selection-start-column="45" selection-end-line="15" selection-end-column="45" />
          <folding>
            <element signature="e#258#259#0" expanded="true" />
            <element signature="e#301#302#0" expanded="true" />
            <element signature="e#413#414#0" expanded="true" />
            <element signature="e#470#471#0" expanded="true" />
            <element signature="e#513#514#0" expanded="true" />
            <element signature="e#586#587#0" expanded="true" />
            <element signature="e#629#630#0" expanded="true" />
            <element signature="e#695#696#0" expanded="true" />
            <element signature="e#735#736#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/MyLinkedList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1054">
          <caret line="4" column="14" selection-start-line="4" selection-start-column="14" selection-end-line="4" selection-end-column="14" />
          <folding>
            <element signature="e#190#191#0" expanded="true" />
            <element signature="e#222#223#0" expanded="true" />
            <element signature="e#269#270#0" expanded="true" />
            <element signature="e#301#302#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Node.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret lean-forward="true" />
          <folding>
            <element signature="e#135#136#0" expanded="true" />
            <element signature="e#163#164#0" expanded="true" />
            <element signature="e#200#201#0" expanded="true" />
            <element signature="e#237#238#0" expanded="true" />
            <element signature="e#399#400#0" expanded="true" />
            <element signature="e#435#436#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/ListItem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="e#245#246#0" expanded="true" />
            <element signature="e#279#280#0" expanded="true" />
            <element signature="e#516#517#0" expanded="true" />
            <element signature="e#544#545#0" expanded="true" />
            <element signature="e#586#587#0" expanded="true" />
            <element signature="e#620#621#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/SearchTree.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1003">
          <caret line="4" column="17" selection-start-line="4" selection-start-column="17" selection-end-line="4" selection-end-column="17" />
          <folding>
            <element signature="e#186#187#0" expanded="true" />
            <element signature="e#218#219#0" expanded="true" />
            <element signature="e#265#266#0" expanded="true" />
            <element signature="e#297#298#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/ArmstrongNumberTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/BinarySearchTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/DemoTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/FactorialTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/FibonacciSeriesTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="7" column="6" selection-start-line="7" selection-start-column="6" selection-end-line="7" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/FindGCDTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="15" column="40" lean-forward="true" selection-start-line="15" selection-start-column="40" selection-end-line="15" selection-end-column="40" />
          <folding>
            <element signature="e#315#316#0" expanded="true" />
            <element signature="e#423#424#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/FindSquareRootTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/GroceryListTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/IntegerPalindromeTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/LeapYearTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/PrimeNumberTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/RemoveArrayDuplicatesTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/RemoveWhiteSpacesFromStringTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/ReverseArrayinPlaceTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/SearchTreeTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="17" column="9" lean-forward="true" selection-start-line="17" selection-start-column="9" selection-end-line="17" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/StringAnagramTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#710#711#0" expanded="true" />
            <element signature="e#779#780#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/StringPalindromeTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="4" column="6" selection-start-line="4" selection-start-column="6" selection-end-line="4" selection-end-column="6" />
          <folding>
            <element signature="e#155#156#0" expanded="true" />
            <element signature="e#219#220#0" expanded="true" />
            <element signature="e#262#263#0" expanded="true" />
            <element signature="e#328#329#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/TeamTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
          <folding>
            <element signature="e#134#135#0" expanded="true" />
            <element signature="e#214#215#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>